<template>
<div>
    <v-toolbar fixed class="orange accent-4 white--text">
      <v-container>
      <v-layout row align-center justify-center>

        <v-toolbar-title class="ml-7 mr-7">
          <NuxtLink id="links" to="/">LOGO</NuxtLink>
        </v-toolbar-title>

          <v-text-field
            width="50%"
            small
            class="search-input ma-2"
            solo
            append-icon="search"
            hide-details
            dense
          ></v-text-field>
        
          <v-btn icon>
            <v-icon class="ma-2 white--text">fa fa-shopping-cart</v-icon>
          </v-btn>
          
          <!-- <div v-if="$store.state.auth">
            <v-btn middle class="ma-2 btn-regis" outlined color="white" @click="logout">ออกจากระบบ</v-btn>
          </div> -->
          
          <div>
            <!-- register button -->
            <Nuxt-link id="links" to="/register">
            <v-btn middle class="ma-2 btn-regis" outlined color="white">สมัครสมาชิก</v-btn>
            </Nuxt-link>

            <!-- login button -->
            <NuxtLink id="links" to="/login">
            <v-btn middle class="ma-2 btn-login" outlined color="white">เข้าสู่ระบบ</v-btn>
            </NuxtLink>
          </div>
          
          
          <v-btn icon>
            <v-icon class="ma-2 white--text">fa fa-comments</v-icon>
          </v-btn>
        </v-layout>
      </v-container>
    </v-toolbar>
</div>
</template>

<script>

export default {

};
</script>

<style>
.search-input{
    border-radius: 30px;
}
.btn-regis{
    border-radius: 30px;
}
.btn-login{
    border-radius: 30px;
}

#links{
  text-decoration-line: none;
  color: white;
}

</style>